local L = LibStub("AceLocale-3.0"):NewLocale("InterruptAssist", "deDE")

if not L then return end

-- Konstanten
L["Disabled"] = "Deaktiviert"
L["Critical"] = "Kritisch"
L["Standard"] = true
L["Verbose"] = "Alle"

L["Nobody"] = "Niemand"

-- Konfigurationsmenue und verwandte Dinge
L["Debugging"] = "Debbuging"
L["Select the amount of desired debug messages. Should be disabled for normal users."] = "Waehle die gewuenschte Menge an Debug Nachrichten. Sollte von normalen Nutzern deaktiviert werden."

L["General"] = "Allgemein"
L["General Settings"] = "Allgemeine Einstellungen"

L["Enable"] = "Aktivieren"
L["Enables/disables this addon"] = "Aktiviert/Deaktiviert dieses Addon"

L["Trash"] = true
L["Enables/disables trash mob monitoring. Be advised that this only works correctly, if you target the unit, that you interrupt. Results can be wrong if mouseover macros and the like are used."] = "Aktiviert/Deaktiviert die Ueberwachung von Trash Mobs. Falls das sie das Ziel ihrer Unterbrechung nicht anvisiert haben, sondern z.B. ein Mouse Over Makro verwenden, muessen sie mit fehlerhaften Ergebnissen rechnen."

L["Silent operation"] = "Stille Arbeit"
L["If enabled changing configuration options will not send any confirmation messages."] = "Wenn diese Option aktiviert wurde, werden bei der Aenderung von Konfigurationsoptionen keine Bestaetigungsnachrichten versendet."

L["Timestamp"] = "Zeitstempel"
L["If enabled all announcements will include a detailed timestamp."] = "Wenn diese Option aktiviert ist, werden alle Ankuendigungen mit einem detailierten Zeitstempel versehen."
L["Announcements are now timestamped."] = "Ankuendigungen enthalten nun einen Zeitstempel."
L["Announcements are no longer timestamped."] = "Ankuendigungen enthalten nicht laenger einen Zeitstempel."

L["Target"] = "Ziel"
L["If enabled all announcements will include the target of the interrupt."] = "Wenn diese Option aktiviert ist, enthaelt die Ankuendigung das Ziel des Interrupts."
L["Announcements now include the target of the interrupt."] = "Ankuendigungen enthalten nun das Ziel der Unterbrechung."
L["Announcements no longer include the target of the interrupt."] = "Ankuendigungen enthalten nicht laenger das Ziel der Unterbrechung."

L["Output"] = "Ausgabe"
L["Customise your output settings"] = "Passen sie die Ausgabe ihren Wnschen an"

L["Say"] = "Sagen"
L["Enables/disables output to the say channel"] = "Aktivieren/Deaktivieren sie die Ausgabe in den Sagen Kanal"

L["Party"] = "Gruppe"
L["Enables/disables output to the party channel"] = "Aktivieren/Deaktivieren sie die Ausgabe in den Gruppen Kanal"

L["Raid"] = "Schlachtzug"
L["Enables/disables output to the raid channel"] = "Aktivieren/Deaktivieren sie die Ausgabe in den Schlachtzug Kanal"

L["Local"] = "Lokal"
L["Enables/disables output to the local chatframe"] = "Aktivieren/Deaktivieren sie die Ausgabe in das lokale Chat Fenster"

L["Output is now sent to say channel."] = "Ausgabe erfolgt in den Sagen Kanal"
L["Output is no longer sent to say channel."] = "Ausgabe erfolgt nicht laenger in den Sagen Kanal"

L["Output is now sent to party channel."]  = "Ausgabe erfolgt in den Gruppen Kanal"
L["Output is no longer sent to party channel."] = "Ausgabe erfolgt nicht laenger in den Gruppen Kanal"

L["Output is now sent to raid channel."]  = "Ausgabe erfolgt in den Schlachtzug Kanal"
L["Output is no longer sent to raid channel."] = "Ausgabe erfolgt nicht laenger in den Schlachtzug Kanal"

L["Output is now sent to local chatframe."]  = "Ausgabe erfolgt in das lokale Chatfenster"
L["Output is no longer sent to local chatframe."] = "Ausgabe erfolgt nicht laenger in das lokale Chatfenster"

L["Database has been upgraded to Version X"] = function (X)
	return "Datenbank wurde auf Version " .. X .. " erweitert.";
end

L["Addon has been enabled."] = "Addon wurde aktiviert."
L["Addon has been disabled."] = "Addon wurde deaktiviert."

L["Silent operation has been disabled."] = "Stille Bearbeitung wurde deaktiviert."

L["Trash mob monitoring enabled."] = "Trash Mob Ueberwachung wurde aktiviert."
L["Trash mob monitoring disabled."] = "Trash Mob Ueberwachung wurde deaktiviert."

-- Rotation related stuff
L["Rotations"] = "Rotationen"
L["Setup one or more interrupt rotations."] = "Richte eine oder mehrere Unterbrecher Rotationen ein"

L["Number of participants"] = "Anzahl der Teilnehmer"
L["Select how many players shall participate in this rotation. Choosing 1 disables it."] = "Waehle aus wieviele Spieler an dieser Rotation reilnehmen sollen. Mit Auswahl von 1 wird das System deaktiviert."

L["First interrupter"] = "Erster Unterbrecher"
L["Enter the first member of your interrupt rotation here"] = "Gib den Namen des ersten Unterbrechers hier ein."

L["Second interrupter"] = "Zweiter Unterbrecher"
L["Enter the second member of your interrupt rotation here"] = "Gib den Namen des zweiten Unterbrechers hier ein."

L["Third interrupter"] = "Dritter Unterbrecher"
L["Enter the third member of your interrupt rotation here"] = "Gib den Namen des dritten Unterbrechers hier ein."

L["Fourth interrupter"] = "Vierter Unterbrecher"
L["Enter the fourth member of your interrupt rotation here"] = "Gib den Namen des vierten Unterbrechers hier ein."

L["Active Rotations"] = true
L["Select how many interrupt rotations you wish to enter"] = true

L["First rotation"] = true
L["Setup the first interrupt rotation."] = true

L["Second rotation"] = true
L["Setup the second interrupt rotation."] = true

L["Third rotation"] = true
L["Setup the third interrupt rotation."] = true

L["Fourth rotation"] = true
L["Setup the fourth interrupt rotation."] = true

-- Debug Nachrichten
L["Addon Enabled."] = "Addon aktiviert"
L["Addon Disabled."] = "Addon deaktiviert"

L["Target changed to X (y)"] = function (X,Y)
	return "Ziel geaendert auf " .. X .. " (Stufe " .. Y .. ").";
end