local L = LibStub("AceLocale-3.0"):NewLocale("InterruptAssist", "enUS", true)

if not L then return end

-- Constants
L["Disabled"] = true
L["Critical"] = true
L["Standard"] = true 
L["Verbose"] = true

L["Nobody"] = true

-- Configuration Dialogs and related stuff
L["Debugging"] = true
L["Select the amount of desired debug messages. Should be disabled for normal users."] = true

L["General"] = true
L["General Settings"] = true

L["Enable"] = true
L["Enables/disables this addon"] = true

L["Trash"] = true
L["Enables/disables trash mob monitoring. Be advised that this only works correctly, if you target the unit, that you interrupt. Results can be wrong if mouseover macros and the like are used."] = true

L["Silent operation"] = true
L["If enabled changing configuration options will not send any confirmation messages."] = true

L["Timestamp"] = true
L["If enabled all announcements will include a detailed timestamp."] = true
L["Announcements are now timestamped."] = true
L["Announcements are no longer timestamped."] = true

L["Target"] = true
L["If enabled all announcements will include the target of the interrupt."] = true
L["Announcements now include the target of the interrupt."] = true
L["Announcements no longer include the target of the interrupt."] = true

L["Output"] = true
L["Customise your output settings"] = true

L["Say"] = true
L["Enables/disables output to the say channel"]  = true

L["Party"] = true
L["Enables/disables output to the party channel"] = true

L["Raid"] = true
L["Enables/disables output to the raid channel"] = true

L["Local"] = true
L["Enables/disables output to the local chatframe"] = true

L["Output is now sent to say channel."] = true
L["Output is no longer sent to say channel."] = true

L["Output is now sent to party channel."] = true
L["Output is no longer sent to party channel."] = true

L["Output is now sent to raid channel."] = true
L["Output is no longer sent to raid channel."] = true

L["Output is now sent to local chatframe."] = true
L["Output is no longer sent to local chatframe."] = true

L["Database has been upgraded to Version X"] = function (X)
	return "Database has been upgraded to Version " .. X .. ".";
end

L["Addon has been enabled."] = true
L["Addon has been disabled."] = true

L["Silent operation has been disabled."] = true

L["Trash mob monitoring enabled."] = true
L["Trash mob monitoring disabled."] = true

-- Rotation related stuff
L["Rotations"] = true
L["Setup one or more interrupt rotations."] = true

L["Number of participants"] = true
L["Select how many players shall participate in this rotation. Choosing 1 disables it."] = true

L["First interrupter"] = true
L["Enter the first member of your interrupt rotation here"] = true

L["Second interrupter"] = true
L["Enter the second member of your interrupt rotation here"] = true

L["Third interrupter"] = true
L["Enter the third member of your interrupt rotation here"] = true

L["Fourth interrupter"] = true
L["Enter the fourth member of your interrupt rotation here"] = true

L["Active Rotations"] = true
L["Select how many interrupt rotations you wish to enter"] = true

L["First rotation"] = true
L["Setup the first interrupt rotation."] = true

L["Second rotation"] = true
L["Setup the second interrupt rotation."] = true

L["Third rotation"] = true
L["Setup the third interrupt rotation."] = true

L["Fourth rotation"] = true
L["Setup the fourth interrupt rotation."] = true

-- Debug Message
L["Addon Enabled."] = true
L["Addon Disabled."] = true

L["Target changed to X (y)"] = function (X,Y)
	return "Target changed to " .. X .. " (level " .. Y .. ").";
end